class WizardTrail {
	constructor(game, texture, map, x, y, r, vx, vy){
		this.game = game;
		
		// Rendering
		this.layer = "background";
		this.texture = texture;
		this.map = map;
		
		// Scale
		this.scale = 1;
		this.width =  this.scale * this.map[2];
		this.height = this.scale * this.map[3];
		
		// Physics
		this.x = x;
		this.y = y;
		this.r = r;
		this.vx = 0; // (Math.random() * 2 - 1) * 0.2;
		this.vy = 0; // (Math.random() * 2 - 1) * 0.2;
		this.vr = 0; // (Math.random() * 2 - 1) * 10;
		
		// Footstep Particle
		this.maxLife = 0.6;
		this.life = this.maxLife;
	}
	
	
	update(delta){
		// Physics
		this.x += this.vx * delta * 60;
		this.y += this.vy * delta * 60;
		this.r += this.vr * delta * 60;
		
		return this.life -= delta;
	}
	
	
	draw(context, textures, atlas){
		var texture = this.texture,
			map = this.map;
		
		context.save();
		context.translate(this.x, this.y);
		context.rotate(this.r/180*Math.PI);
		
		context.globalAlpha = this.life/this.maxLife/10;
		context.drawImage(texture, map[0], map[1], map[2], map[3], -this.width/2, -this.height/2 - 1 * this.scale, this.width, this.height);

		context.restore();
	}
}
